You can create a style and set a rotation using textOrientation as follows:
The rotation angle supports -90 to +90 degrees.
When setting the rotation on a cell value the border and background color will rotate to the corresponding angle.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 5 });
initSpread(spread);
};
function initSpread(spread) {
spread.fromJSON(jsonData);
var sheet = spread.getSheet(3);
sheet.getCell(0, 2).textDecoration(GC.Spread.Sheets.TextDecorationType.lineThrough);
sheet.getCell(0, 3).textDecoration(GC.Spread.Sheets.TextDecorationType.overline);
sheet.getCell(0, 4).textDecoration(GC.Spread.Sheets.TextDecorationType.underline);
document.getElementById("btnTextOriention").addEventListener('click', function () {
var sheet = spread.getActiveSheet();
if (sheet) {
var cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
var rotationValue = parseInt(document.getElementById("textOriention").value);
if(-90 <= rotationValue && rotationValue <= 90){
cell.textOrientation(rotationValue);
} else {
alert("please input correct rotation angle")
}
}
});
document.getElementById("btnVerticalText").addEventListener('click', function () {
var sheet = spread.getActiveSheet();
if (sheet) {
var cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
cell.isVerticalText(!cell.isVerticalText());
}
});
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script
src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js"
type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/data/textOriention.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<div class="option-row">
<p>Select a cell, such as G5 (“Math”), then change the Angle to ‘30’</p>
<label id="Text Oriention" for="textOriention">Angle(-90<= Angle <=90)</label>
<input type="text" id="textOriention" />
<input type="button" value="Set TextOriention" id="btnTextOriention" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Set VerticalText</label>
<input type="button" value="Set verticalText" id="btnVerticalText" />
</div>
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

You can create a style and set a rotation using textOrientation as follows:
The rotation angle supports -90 to +90 degrees.
When setting the rotation on a cell value the border and background color will rotate to the corresponding angle.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets } from '@mescius/spread-sheets-react';
let spread = null;
export function AppFunc() {
const [textOriention, setTextOriention] = React.useState(0);
const textOrientionChange = (e) => {
let value = parseInt(e.target.value);
setTextOriention(isNaN(value) ? undefined : value);
}
const setVerticalText = () => {
let sheet = spread.getActiveSheet();
if (sheet) {
let cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
cell.isVerticalText(!cell.isVerticalText());
}
}
const setTextOrientionForSpread = () => {
let sheet = spread.getActiveSheet();
if (sheet) {
let cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
let rotationValue = textOriention;
if(-90 <= rotationValue && rotationValue <= 90){
cell.textOrientation(rotationValue);
} else {
alert("please input correct rotation angle")
}
}
}
const initSpread = (currSpread) => {
spread = currSpread;
spread.fromJSON(jsonData);
let sheet = spread.getSheet(3);
sheet.getCell(0, 2).textDecoration(GC.Spread.Sheets.TextDecorationType.lineThrough);
sheet.getCell(0, 3).textDecoration(GC.Spread.Sheets.TextDecorationType.overline);
sheet.getCell(0, 4).textDecoration(GC.Spread.Sheets.TextDecorationType.underline);
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={initSpread}>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
<p>Select a cell, such as G5 (“Math”), then change the Angle to ‘30’</p>
<label id="Text Oriention" for="textOriention">{'Angle(-90<= Angle <=90)'}</label>
<input type="text" id="textOriention" value={textOriention} onChange={textOrientionChange} />
<input type="button" value="Set TextOriention" id="btnTextOriention" onClick={setTextOrientionForSpread} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Set VerticalText</label>
<input type="button" value="Set verticalText" id="btnVerticalText" onClick={setVerticalText} />
</div>
</div>
</div>
);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.state = {
textOriention: 0
}
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
<p>Select a cell, such as G5 (“Math”), then change the Angle to ‘30’</p>
<label id="Text Oriention" for="textOriention">{'Angle(-90<= Angle <=90)'}</label>
<input type="text" id="textOriention" value={this.state.textOriention} onChange={(e) => { this.textOrientionChange(e) }} />
<input type="button" value="Set TextOriention" id="btnTextOriention" onClick={() => { this.setTextOriention() }} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Set VerticalText</label>
<input type="button" value="Set verticalText" id="btnVerticalText" onClick={() => { this.setVerticalText() }} />
</div>
</div>
</div>
)
}
textOrientionChange(e) {
let value = parseInt(e.target.value);
if(!isNaN(value)){
this.setState(() => ({
textOriention: value
}));
}else{
this.setState(() => ({
textOriention: undefined
}));
}
}
setVerticalText() {
let sheet = this.spread.getActiveSheet();
if (sheet) {
let cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
cell.isVerticalText(!cell.isVerticalText());
}
}
setTextOriention() {
let sheet = this.spread.getActiveSheet();
if (sheet) {
let cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
let rotationValue = this.state.textOriention;
if(-90 <= rotationValue && rotationValue <= 90){
cell.textOrientation(rotationValue);
} else {
alert("please input correct rotation angle")
}
}
}
initSpread(spread) {
this.spread = spread;
spread.fromJSON(jsonData);
let sheet = spread.getSheet(3);
sheet.getCell(0, 2).textDecoration(GC.Spread.Sheets.TextDecorationType.lineThrough);
sheet.getCell(0, 3).textDecoration(GC.Spread.Sheets.TextDecorationType.overline);
sheet.getCell(0, 4).textDecoration(GC.Spread.Sheets.TextDecorationType.underline);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="$DEMOROOT$/spread/source/data/textOriention.js" type="text/javascript"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

You can create a style and set a rotation using textOrientation as follows:
The rotation angle supports -90 to +90 degrees.
When setting the rotation on a cell value the border and background color will rotate to the corresponding angle.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
textOriention = 0;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
textOrientionChange(e: any) {
this.textOriention = parseInt(e.target.value);
}
setVerticalText() {
let sheet = this.spread.getActiveSheet();
if (sheet) {
let cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
cell.isVerticalText(!cell.isVerticalText());
}
}
setTextOriention() {
let sheet = this.spread.getActiveSheet();
if (sheet) {
let cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
let rotationValue = this.textOriention;
if(-90 <= rotationValue && rotationValue <= 90){
cell.textOrientation(rotationValue);
} else {
alert("please input correct rotation angle")
}
}
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.fromJSON(jsonData);
let sheet = spread.getSheet(3);
sheet.getCell(0, 2).textDecoration(GC.Spread.Sheets.TextDecorationType.lineThrough);
sheet.getCell(0, 3).textDecoration(GC.Spread.Sheets.TextDecorationType.overline);
sheet.getCell(0, 4).textDecoration(GC.Spread.Sheets.TextDecorationType.underline);
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<script src="$DEMOROOT$/spread/source/data/textOriention.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<p>Select a cell, such as G5 (“Math”), then change the Angle to ‘30’</p>
<label id="Text Oriention" for="textOriention">Angle(-90<= Angle <=90)</label>
<input type="text" id="textOriention" value="{{textOriention}}" (change)='textOrientionChange($event)' />
<input type="button" value="Set TextOriention" id="btnTextOriention" (click)="setTextOriention($event)" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Set VerticalText</label>
<input type="button" value="Set verticalText" id="btnVerticalText" (click)="setVerticalText($event)"/>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

You can create a style and set a rotation using textOrientation as follows:
The rotation angle supports -90 to +90 degrees.
When setting the rotation on a cell value the border and background color will rotate to the corresponding angle.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<p>Select a cell, such as G5 (“Math”), then change the Angle to ‘30’</p>
<label id="Text Oriention" for="textOriention">Angle(-90<= Angle <=90)'</label>
<input type="text" id="textOriention" v-model="textOriention" v-on:change="textOrientionChange" />
<input type="button" value="Set TextOriention" id="btnTextOriention" v-on:click="setTextOriention" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Set VerticalText</label>
<input type="button" value="Set verticalText" id="btnVerticalText" v-on:click="setVerticalText"/>
</div>
</div>
</div>
</template>
<script>
import Vue from 'vue';
import '@mescius/spread-sheets-vue'
import GC from '@mescius/spread-sheets';
import './styles.css';
let App = Vue.extend({
name: "app",
data: function() {
return {
textOriention: 0,
spread: null
};
},
methods:{
textOrientionChange(e) {
this.textOriention = parseInt(e.target.value);
},
setVerticalText() {
let sheet = this.spread.getActiveSheet();
if (sheet) {
let cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
cell.isVerticalText(!cell.isVerticalText());
}
},
setTextOriention() {
let sheet = this.spread.getActiveSheet();
if (sheet) {
let cell = sheet.getCell(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex());
let rotationValue = this.textOriention;
if(-90 <= rotationValue && rotationValue <= 90){
cell.textOrientation(rotationValue);
} else {
alert("please input correct rotation angle")
}
}
},
initSpread(spread) {
this.spread = spread;
spread.fromJSON(jsonData);
let sheet = spread.getSheet(3);
sheet.getCell(0, 2).textDecoration(GC.Spread.Sheets.TextDecorationType.lineThrough);
sheet.getCell(0, 3).textDecoration(GC.Spread.Sheets.TextDecorationType.overline);
sheet.getCell(0, 4).textDecoration(GC.Spread.Sheets.TextDecorationType.underline);
}
}
});
new Vue({ render: h => h(App) }).$mount('#app');
</script>
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/vue/node_modules/systemjs/dist/system.src.js"></script>
<script src="$DEMOROOT$/spread/source/data/textOriention.js" type="text/javascript"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.vue');
System.import('$DEMOROOT$/en/lib/vue/license.js');
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: 'vue-loader' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.min.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
}
}
});
})(this);